Рабочие пространства
Обновить рабочую область
Обновляет имя рабочей области.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
workspaces
/
{workspace_id}
Обновить рабочую область
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces/{workspace_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Тело
application/json
Схема запроса для создания или обновления рабочей области.
Отображаемое имя рабочей области
Required string length:
1 - 255Ответ
Учетная запись UUID, которой принадлежит рабочая область.
UUID рабочей области
Отображаемое имя рабочей области
Временная метка создания рабочей области
Статус жизненного цикла рабочей области
Временная метка последнего обновления рабочей области
Была ли эта страница полезной?
⌘I
Обновить рабочую область
